%define upstream_name    Games-Risk-ExtraMaps-History
%define upstream_version 3.112691

Name:       prisk-maps-history
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A set of historic maps for Games::Risk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Games::Risk::ExtraMaps)
BuildRequires: perl(Games::Risk::Map)
BuildRequires: perl(Locale::Messages)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
A set of historic maps for prisk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 3.112.691-11.mga10
+ Revision: 2201592
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 3.112.691-10.mga9
+ Revision: 1806835
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.112.691-9.mga8
+ Revision: 1499277
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.112.691-8.mga7
+ Revision: 1274492
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.112.691-7.mga6
+ Revision: 1036328
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 3.112.691-6.mga6
+ Revision: 931978
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.112.691-5.mga5
+ Revision: 746338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.112.691-4.mga5
+ Revision: 687781
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.112.691-3.mga4
+ Revision: 517685
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.112.691-2.mga3
+ Revision: 378210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 28 2011 jquelin <jquelin> 3.112.691-1.mga2
+ Revision: 149819
- imported package prisk-maps-history


* Wed Sep 28 2011 cpan2dist 3.112691-1mga
- initial mageia release, generated with cpan2dist
